> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query transaction summary

> Query transaction summary for the authenticated user



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs post /v6/banks/transactions/query/summary
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/banks/transactions/query/summary:
    post:
      tags:
        - Bank Transactions
      summary: Query transaction summary
      description: Query transaction summary for the authenticated user
      operationId: getBankTransactionsSummary
      parameters:
        - name: Tight-Version
          in: header
          schema:
            type: string
            default: 6.0.0
            enum:
              - '6'
              - 0.1.0
              - 6.0.0
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BankTransactionsSummaryGetParam'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponseBankTransactionsSummaryDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    BankTransactionsSummaryGetParam:
      required:
        - groupBy
      type: object
      properties:
        groupBy:
          type: string
          description: Groupings for items in the response.
          enum:
            - REVIEW_STATUS
            - STATUS
            - TYPE
        filter:
          $ref: '#/components/schemas/BankTransactionsSummaryFilterParam'
    SuccessResponseBankTransactionsSummaryDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          $ref: '#/components/schemas/BankTransactionsSummaryDto'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    BankTransactionsSummaryFilterParam:
      type: object
      properties:
        search:
          type: string
          description: Search filter
        date:
          $ref: '#/components/schemas/DateFilter'
        amount:
          $ref: '#/components/schemas/AmountFilter'
        description:
          $ref: '#/components/schemas/StringFilter'
        notes:
          $ref: '#/components/schemas/StringFilter'
        status:
          $ref: '#/components/schemas/EnumStatusListFilter'
        reviewStatus:
          $ref: '#/components/schemas/ReviewStatusListFilter'
        type:
          $ref: '#/components/schemas/BankTransactionTypeFilter'
        bankAccount:
          $ref: '#/components/schemas/BankAccountFilter'
        vendor:
          $ref: '#/components/schemas/VendorFilter'
        dimensionValues:
          $ref: '#/components/schemas/DimensionValueFilter'
        customer:
          $ref: '#/components/schemas/CustomerFilter'
        category:
          $ref: '#/components/schemas/CategoryFilter'
        glAccount:
          $ref: '#/components/schemas/GlAccountFilter'
        company:
          $ref: '#/components/schemas/CompanyIdFilter'
        lastUpdatedDateTime:
          type: string
          description: Date filter
          format: date-time
      description: Filter for items in the response.
    BankTransactionsSummaryDto:
      type: object
      properties:
        count:
          type: integer
          description: The total number of transactions
          format: int32
        total:
          type: integer
          description: The total amount of all transactions (in cents)
          format: int32
        data:
          type: array
          items:
            $ref: '#/components/schemas/BankTransactionSummaryItem'
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    DateFilter:
      type: object
      properties:
        equal:
          type: string
          description: >-
            Value - returns all records with specified field equal to this
            value.
          format: date
        notEqual:
          type: string
          description: >-
            Value - returns all records with specified field not equal to this
            value.
          format: date
        greaterThan:
          type: string
          description: >-
            Value - returns all records with specified field greater than to
            this value.
          format: date
        greaterThanEqual:
          type: string
          description: >-
            Value - returns all records with specified field greater than or
            equal to this value.
          format: date
        lessThan:
          type: string
          description: >-
            Value - returns all records with specified field less than to this
            value.
          format: date
        lessThanEqual:
          type: string
          description: >-
            Value - returns all records with specified field less than or equal
            to this value.
          format: date
      description: Date filter
    AmountFilter:
      type: object
      properties:
        equal:
          type: integer
          description: >-
            Value - returns all records with specified field equal to this
            value.
          format: int32
        notEqual:
          type: integer
          description: >-
            Value - returns all records with specified field not equal to this
            value.
          format: int32
        greaterThan:
          type: integer
          description: >-
            Value - returns all records with specified field greater than to
            this value.
          format: int32
        greaterThanEqual:
          type: integer
          description: >-
            Value - returns all records with specified field greater than or
            equal to this value.
          format: int32
        lessThan:
          type: integer
          description: >-
            Value - returns all records with specified field less than to this
            value.
          format: int32
        lessThanEqual:
          type: integer
          description: >-
            Value - returns all records with specified field less than or equal
            to this value.
          format: int32
      description: Match count filter
    StringFilter:
      type: object
      properties:
        equal:
          type: string
          description: >-
            Value - returns all records with specified field equal to this
            value.
        notEqual:
          type: string
          description: >-
            Value - returns all records with specified field not equal to this
            value.
        greaterThan:
          type: string
          description: >-
            Value - returns all records with specified field greater than to
            this value.
        greaterThanEqual:
          type: string
          description: >-
            Value - returns all records with specified field greater than or
            equal to this value.
        lessThan:
          type: string
          description: >-
            Value - returns all records with specified field less than to this
            value.
        lessThanEqual:
          type: string
          description: >-
            Value - returns all records with specified field less than or equal
            to this value.
        contain:
          type: string
          description: >-
            Value - returns all records with specified field containing this
            value.
      description: Name filter
    EnumStatusListFilter:
      type: object
      properties:
        in:
          type: array
          items:
            type: string
            enum:
              - ACTIVE
              - INACTIVE
              - REMOVED
        notIn:
          type: array
          items:
            type: string
            enum:
              - ACTIVE
              - INACTIVE
              - REMOVED
        equal:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        notEqual:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        greaterThan:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        greaterThanEqual:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        lessThan:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        lessThanEqual:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
      description: Status filter
    ReviewStatusListFilter:
      type: object
      properties:
        in:
          type: array
          description: List of values to include.
          items:
            type: string
            description: List of values to include.
            enum:
              - RECONCILIATION_DISCREPANCY
              - USER_REVIEW_REQUIRED
              - ACCOUNTANT_REVIEW_REQUIRED
              - PARTNER_REVIEW_REQUIRED
              - AWAITING_MATCH
              - STAGED
              - RECONCILED
        notIn:
          type: array
          description: List of values to exclude.
          items:
            type: string
            description: List of values to exclude.
            enum:
              - RECONCILIATION_DISCREPANCY
              - USER_REVIEW_REQUIRED
              - ACCOUNTANT_REVIEW_REQUIRED
              - PARTNER_REVIEW_REQUIRED
              - AWAITING_MATCH
              - STAGED
              - RECONCILED
        equal:
          type: string
          enum:
            - RECONCILIATION_DISCREPANCY
            - USER_REVIEW_REQUIRED
            - ACCOUNTANT_REVIEW_REQUIRED
            - PARTNER_REVIEW_REQUIRED
            - AWAITING_MATCH
            - STAGED
            - RECONCILED
        notEqual:
          type: string
          enum:
            - RECONCILIATION_DISCREPANCY
            - USER_REVIEW_REQUIRED
            - ACCOUNTANT_REVIEW_REQUIRED
            - PARTNER_REVIEW_REQUIRED
            - AWAITING_MATCH
            - STAGED
            - RECONCILED
        greaterThan:
          type: string
          enum:
            - RECONCILIATION_DISCREPANCY
            - USER_REVIEW_REQUIRED
            - ACCOUNTANT_REVIEW_REQUIRED
            - PARTNER_REVIEW_REQUIRED
            - AWAITING_MATCH
            - STAGED
            - RECONCILED
        greaterThanEqual:
          type: string
          enum:
            - RECONCILIATION_DISCREPANCY
            - USER_REVIEW_REQUIRED
            - ACCOUNTANT_REVIEW_REQUIRED
            - PARTNER_REVIEW_REQUIRED
            - AWAITING_MATCH
            - STAGED
            - RECONCILED
        lessThan:
          type: string
          enum:
            - RECONCILIATION_DISCREPANCY
            - USER_REVIEW_REQUIRED
            - ACCOUNTANT_REVIEW_REQUIRED
            - PARTNER_REVIEW_REQUIRED
            - AWAITING_MATCH
            - STAGED
            - RECONCILED
        lessThanEqual:
          type: string
          enum:
            - RECONCILIATION_DISCREPANCY
            - USER_REVIEW_REQUIRED
            - ACCOUNTANT_REVIEW_REQUIRED
            - PARTNER_REVIEW_REQUIRED
            - AWAITING_MATCH
            - STAGED
            - RECONCILED
      description: Review status filter
    BankTransactionTypeFilter:
      type: object
      properties:
        in:
          type: array
          description: List of values to include.
          items:
            type: string
            description: List of values to include.
            enum:
              - EXPENSE
              - REVENUE
              - TRANSFER_IN
              - TRANSFER_OUT
        notIn:
          type: array
          description: List of values to exclude.
          items:
            type: string
            description: List of values to exclude.
            enum:
              - EXPENSE
              - REVENUE
              - TRANSFER_IN
              - TRANSFER_OUT
      description: Type filter
    BankAccountFilter:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/BankAccountIds'
      description: Bank filter
    VendorFilter:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/VendorIds'
      description: Filter on the rule's action vendor id
    DimensionValueFilter:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/DimensionValueIds'
      description: Filter on the rule's action dimension value id (any slot)
    CustomerFilter:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/CustomerIds'
      description: Filter on the rule's action customer id
    CategoryFilter:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/CategoryIds'
      description: Category filter
    GlAccountFilter:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/GlAccountIds'
      description: Filter on the rule's action GL account id
    CompanyIdFilter:
      type: object
      properties:
        in:
          maxItems: 5
          minItems: 0
          type: array
          description: Company IDs to include
          example:
            - co_123
            - co_456
          items:
            type: string
            description: Company IDs to include
            example: '["co_123","co_456"]'
      description: >-
        Filter by company ID. Only applies to company-scoped queries — ignored
        for partner/template-scoped queries, where every context has no company.
    BankTransactionSummaryItem:
      type: object
      properties:
        value:
          type: string
          description: Grouping column for this set of transactions
        displayName:
          type: string
          description: A human-readable display name representing the value field
        count:
          type: integer
          description: The number of transactions included in this grouping
          format: int32
        total:
          type: integer
          description: >-
            The total amount of all transactions evaluated for this grouping (in
            cents)
          format: int32
    BankAccountIds:
      type: object
      properties:
        in:
          type: array
          description: List of values to include.
          items:
            type: string
            description: List of values to include.
        notIn:
          type: array
          description: List of values to exclude.
          items:
            type: string
            description: List of values to exclude.
      description: Id filter - returns all entities with the following bank accounts.
    VendorIds:
      type: object
      properties:
        in:
          type: array
          description: List of values to include.
          items:
            type: string
            description: List of values to include.
      description: Id filter - returns all entities with the following vendors.
    DimensionValueIds:
      type: object
      properties:
        in:
          type: array
          description: List of values to include.
          items:
            type: string
            description: List of values to include.
      description: Id filter - returns all entities with the following dimension values.
    CustomerIds:
      type: object
      properties:
        in:
          type: array
          description: List of values to include.
          items:
            type: string
            description: List of values to include.
      description: Id filter - returns all entities with the following customers.
    CategoryIds:
      type: object
      properties:
        in:
          type: array
          description: List of values to include.
          items:
            type: string
            description: List of values to include.
      description: Id filter - returns all entities with the following categories.
    GlAccountIds:
      type: object
      properties:
        in:
          type: array
          description: List of values to include.
          items:
            type: string
            description: List of values to include.
      description: >-
        Id filter - returns all entities with the following General Ledger
        accounts.
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````